Subject: Re: Sites in draft "Unique Local IPv6 Unicast Addresses"

From: Fred Templin <[email-masked]>
Date: Tue, 11 Nov 2003 09:21:18 -0800 (PST)

RFC 3582 says:

   A "site" is an entity autonomously operating a network using IP, and
   in particular, determining the addressing plan and routing policy for
   that network.  This definition is intended to be equivalent to
   "enterprise" as defined in [2].
 
where [2] refers to RFC 1918.
 
This is the definition I have been using in my documents.
 
Fred
[email-masked]

NOISETTE Yoann FTRD/DMI/CAE <[email-masked]> wrote:

Hi, 

I just wanted to point out something that caught my attention when re-reading this draft. In draft-ietf-ipv6-deprecate-site-local-01.txt, section 2.4, there is an assertion that "Site is an ill-defined concept" followed by arguments.  When reading  draft-ietf-ipv6-unique-local-addr-01.txt, we can notice that the word "site" is referred many times, often to describe or limit some features or operations on the new defined addresses.

Then, though both documents are not to be considered as companion documents, I was wondering if it wouldn't be a good thing that draft-ietf-ipv6-unique-local-addr-01.txt gives the meaning of "site" as used for the writing, in order to prevent any confusion or amalgamate with the "site" that is discussed in draft-ietf-ipv6-deprecate-site-local-01.txt. As an exemple (well, for what it's worth) we can see "Apart from link-local, scope boundaries are ill-defined. What is a site?" (in the deprecate draft, section 2.4) on the one hand and "Well known prefix to allow for easy filtering at site boundaries" (in the ULA draft, section 1.0) on the other hand.

I think this should be clarified to prevent any misunderstanding. Moreover, while the list is discussing the name to be given to the new defined addresses (organi[zs]ation, local or… whatever), the fact to position the meaning of "site" used throughout the document might be a good thing.

I don't want to restart many discussions that took place on the list many times on "what is a site", but just wonder if it is a good thing to use "site" so many times in a document describing new addresses alternatives to "site-local addresses" without clarifying its meaning as far as the document is concerned. Notably, make it clear it isn't linked to any "scope" meaning but rather to some operational deployment cases (some examples could be provided from simple one to more complex making use of VPN or Mobile Nodes).

My two cents, FWIW... 

Yoann 

NOISETTE Yoann 
 &francetelecom R&D 
        DMI/SIR/IPI 
42, rue des Coutures - BP 6243 
14066 CAEN Cedex 4 - FRANCE 

( : +33 (0)2.31.75.90.48    2 : +33 (0)2.31.73.56.26 
* mailto:[email-masked]